Bug 8232 - wrong CS0314 error from compiler on generic method override
Summary: wrong CS0314 error from compiler on generic method override
Status: RESOLVED FIXED
Alias: None
Product: Compilers
Classification: Mono
Component: C# (show other bugs)
Version: unspecified
Hardware: PC Linux
: --- normal
Target Milestone: ---
Assignee: Marek Safar
URL:
Depends on:
Blocks:
 
Reported: 2012-11-05 17:32 UTC by Giacomo Tesio
Modified: 2012-11-10 09:38 UTC (History)
2 users (show)

Tags:
Is this bug a regression?: ---
Last known good build:


Attachments
A sample code that reproduce the bug (764 bytes, text/x-csharp)
2012-11-05 17:32 UTC, Giacomo Tesio
Details

Description Giacomo Tesio 2012-11-05 17:32:35 UTC
Created attachment 2870 [details]
A sample code that reproduce the bug

In the attached sample the compiler produce an error like this:

Test.cs(27,27): Error CS0314: The type `MoreSpecialized' cannot be used as type parameter `Specialization' in the generic type or method `Test.A<Abstraction>.For<Specialization>()'. There is no boxing or type parameter conversion from `MoreSpecialized' to `Abstraction' (CS0314)

This is wrong becouse of the constraints in A.For and in B declaration.
Comment 1 Giacomo Tesio 2012-11-07 13:48:55 UTC
I'm running the master branch from github.
Comment 2 Marek Safar 2012-11-10 09:38:23 UTC
Fixed in master

Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.


Create a new report for Bug 8232 on Developer Community or GitHub if you have new information to add and do not yet see a matching report.

  • Export the original title and description: Developer Community HTML or GitHub Markdown
  • Copy the title and description into the new report. Adjust them to be up-to-date if needed.
  • Add your new information.

In special cases on GitHub you might also want the comments: GitHub Markdown with public comments


Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.

Related Links: